
$breakpoints: (
  '$mobile': 374px,
  '$mobLandscape': 400px,
  '$tablet': 768px,
  '$desktop': 1200px,
  '$largeDesktop': 1400px
) !default;

@mixin media($breakpoint) {
  @if map-has-key($breakpoints, $breakpoint) {
    @media (min-width: map-get($breakpoints, $breakpoint)) {
      @content;
    }
  }
}